<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Device>
 */
class DeviceFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        $device_type = $this->faker->randomElement(['projektor','computer','laptop','mikrofon','whiteboard','unbekannt']);
        return [
            'device_id' => $this->faker->uuid(),
            'title' => $this->faker->word(),
            'device_type' => $device_type,
            'description' => $this->faker->sentence(),
            'accessories' => $this->faker->word(),
            'rz_username_buyer' => $this->faker->name(),
            'serial_number' => $this->faker->creditCardNumber(),
            'image_url' => $this->faker->url()
        ];
    }
}
