@extends('layout')

@section('content')
    <div class="columns is-centered">
        <div class="column is-6">
            <div class="box">
                <h3 class="title is-3 has-text-centered">Create Device</h3>


                <form method="POST" action="/devices">
                    @csrf

                    <div class="field">
                        <label for="title" class="label">Title</label>
                        <div class="control">
                            <input class="input" type="text" id="title" placeholder="Title" name="title"
                                value="{{ old('title') }}" required />
                        </div>
                        @error('title')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="device_type" class="label">device_type</label>
                        <div class="control">
                            <input class="input" type="text" id="device_type" placeholder="device_type"
                                name="device_type" value="{{ old('device_type') }}" required />
                        </div>
                        @error('device_type')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="accessories" class="label">accessories</label>
                        <div class="control">
                            <input class="input" type="text" id="accessories" placeholder="accessories"
                                name="accessories" value="{{ old('accessories') }}" />
                        </div>
                        @error('accessories')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="rz_username_buyer" class="label">rz_username_buyer</label>
                        <div class="control">
                            <input class="input" type="text" id="rz_username_buyer" placeholder="rz_username_buyer"
                                name="rz_username_buyer" value="{{ old('rz_username_buyer') }}" required />
                        </div>
                        @error('rz_username_buyer')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="serial_number" class="label">serial_number</label>
                        <div class="control">
                            <input class="input" type="text" id="serial_number" placeholder="serial_number"
                                name="serial_number" value="{{ old('serial_number') }}" required />
                        </div>
                        @error('serial_number')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="image_url" class="label">image_url</label>
                        <div class="control">
                            <input class="input" type="text" id="image_url" placeholder="image_url" name="image_url"
                                value="{{ old('image_url') }}" required />
                        </div>
                        @error('image_url')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="description" class="label">description</label>
                        <div class="control">
                            <textarea class="textarea" placeholder="description" id="description" name="description">{{ old('description') }}</textarea>
                        </div>
                        @error('description')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field is-grouped is-grouped-centered">
                        <div class="control">
                            <button class="button is-success" type="submit">Submit</button>
                        </div>
                        <div class="control">
                            <a class="button is-success is-light" href="/devices">Cancel</a>
                        </div>
                    </div>
                </form>

            </div>
        </div>
    </div>

@endsection
