@extends('layout')

@section('content')
    <div class="columns is-centered">
        <div class="column is-6">
            <div class="box">
                <h3 class="title is-3 has-text-centered">Edit Location</h3>
                <form method="POST" action="/devices/locations/{{ $location->location_transaction_id }}">
                    @csrf
                    @method('PUT')
                    <div class="field">
                        <label for="room_code" class="label">room_code</label>
                        <div class="control">
                            <input class="input" type="text" id="room_code" name="room_code"
                                value="{{$location->room_code}}" required />
                        </div>
                        @error('room_code')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field">
                        <label for="timestamp_located_since" class="label">timestamp_located_since</label>
                        <div class="control">
                            <input class="input" type="text" id="timestamp_located_since" name="timestamp_located_since"
                                value="{{$location->timestamp_located_since}}" required />
                        </div>
                        @error('timestamp_located_since')
                            <p class="help is-danger">{{ $message }}</p>
                        @enderror
                    </div>

                    <div class="field is-grouped is-grouped-centered">
                        <div class="control">
                            <button class="button is-success" type="submit">Submit</button>
                        </div>
                        {{-- TODO: make a link to go back to device --}}
                        {{-- <div class="control">
                            <a class="button is-success is-light" href="/devices/{{ $device->device_id }}">Cancel</a>
                        </div> --}}
                    </div>

                </form>

            </div>
        </div>
    </div>
@endsection